image: registry.gitlab.com/alelec/docker-android

stages:
  - build
  - release

.build:
  stage: build
  script:
  - sh ./gradlew $BUILD

  - zip -r -j lib-arm64-v8a.zip build/intermediates/transforms/mergeJniLibs/${CI_JOB_NAME}/0/lib/arm64-v8a/*
  - zip -r -j lib-armeabi-v7a.zip build/intermediates/transforms/mergeJniLibs/${CI_JOB_NAME}/0/lib/armeabi-v7a/*
  - zip -r -j lib-x86.zip build/intermediates/transforms/mergeJniLibs/${CI_JOB_NAME}/0/lib/x86/*

  - ls ./build/outputs/apk/${CI_JOB_NAME}/*.apk
  - mv ./build/outputs/apk/${CI_JOB_NAME}/*.apk ./
  - ls ./*.apk
  artifacts:
    paths:
    - ./*.apk
    - ./*.zip

release:
  extends: .build
  variables:
    BUILD: "assemble"

debug:
  extends: .build
  variables:
    BUILD: "assembleDebug"

upload:
  stage: release
  image: python:3
  script:
    - pip3 install gitlab_release
    - python3 -m gitlab_release "$PRIVATE_TOKEN" ./Hud*.apk
  only:
    - tags
